Skip to main content
`Ctrl`+`K`

# DSGetDimensions

Returns the current dimensions.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetDimensions(DS ds,PetscInt *n,PetscInt *l,PetscInt *k,PetscInt *t)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameters

- n - the current size

- l - number of locked (inactive) leading columns

- k - intermediate dimension (e.g., position of arrow)

- t - truncated length

## Notes

The `t` parameter makes sense only if `DSTruncate()` has been called. Otherwise its value equals `n`.

Some `DS` types have additional dimensions, e.g., the number of columns in `DSSVD`. For these, you should call a specific interface function.

## See Also

DS: Direct Solver (or Dense System), `DSSetDimensions()`, `DSTruncate()`, `DSSVDGetDimensions()`

## Level

intermediate

## Location

src/sys/classes/ds/interface/dsops.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages